Skip to main content
POST
/
bbps
/
cou
/
v1
/
billers
/
request
/
bill-fetch
Bill Fetch Request
curl --request POST \
  --url https://sandbox.cashfree.com/bbps/cou/v1/billers/request/bill-fetch \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "bill_fetch_request": {
    "agent_id": "OU01XXXXINT001123456",
    "biller_id": "VODA00000MUM03",
    "agent_device_info": {
      "init_channel": "INT",
      "ip": "124.170.23.22",
      "mobile": "9830098300",
      "geo_code": "12.9667,77.5667",
      "postal_code": "400063"
    },
    "customer_info": {
      "customer_mobile": "9505XXXX98",
      "customer_email": "customer@example.com"
    },
    "input_params": {
      "input": [
        {
          "param_name": "RefFld1",
          "param_value": "9876543210"
        },
        {
          "param_name": "RefFld2",
          "param_value": "ABCD123"
        }
      ]
    }
  }
}
'
{
  "status": "ACCEPTED",
  "message": "Bill fetch request accepted for processing",
  "data": {
    "ref_id": "HENSVVR4QOS7X1UGPY7JGUV444P10102202",
    "status": "PROCESSING",
    "flow": "FETCH_AND_PAY"
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

Your unique client secret issued by Cashfree. Keep this confidential and never expose it in client-side code. You can find this in your Merchant Dashboard.

Body

application/json

Request parameters to initiate a bill fetch or bill validation request.

bill_fetch_request
object
required

Response

Success response for initiating a bill fetch or bill validation request.

status
string
Example:

"ACCEPTED"

message
string
Example:

"Bill fetch request accepted for processing"

data
object